
Testing - Feature # 59

Status: New Priority: Should have
Author: Robert Lemke Category:
Created: 2007-07-04 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
Subject: Implement MVC pattern for TestRunner
Description

The TestRunner needs a proper MVC implementation.

History
#1 - 2007-07-04 11:18 - Robert Lemke

(In r248) Commit of some recent work while I've been offline, mainly focussing on TypoScript and the Model View Controller support.

    -  Framework: (Component) Added the T3P_Component_ManagerAwareInterface and functionality for conveniently getting prototypes. Fixes #58.
    -  Framework: (AOP) Added a method "isMethodArgument" to the AOP JoinPoint
    -  Framework: (AOP) A small bugfix in buildAspectContainerFromClass() which caused a PHP warning if an aspect only contained an introduction
and no other advice.
    -  Framework: (MVC) Renamed the "GlobalDispatcher" to "Dispatcher" 
    -  Framework: (MVC) Added a very rough router implementation to the WebRequestBuilder
    -  Added an .htaccess file to enable URL rewriting. Try "http://myhost/Testing" for example.
    -  CMS: Models, Controllers and Views now reside in their own directories instead of a common MVC directory.
    -  CMS: Enhanced the TypoScript "Page" object a bit and started implementing the "Template" object.  
    -  Testing: Created a preliminary Controller for the testrunner (addresses #59). Still needs a proper implemenation and cleanup!
    -  TypoScript: Added a fixture and fixed an issue with using content arrays with processors.

#2 - 2007-12-11 11:17 - Robert Lemke
(In r397) 
    -  Testing: Initial commit of the new (MVC-based) Test Runner. This is work in progress ... addresses #59
    -  Framework: (MVC) Renamed a method in the RequestHandlingController - makes more sense this way.

#3 - 2008-07-01 17:03 - Karsten Dambekalns
- Target version deleted (1)

#4 - 2008-10-28 13:08 - Karsten Dambekalns
- Target version set to 1.0.0
